
# calcul temps et cout pour le jour courant (débute a minuit)

- platform: history_stats
  name: SdB Elena Jour
  entity_id: switch.radiateur_sdb_elena
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_sdb_elena_depuis_minuit:
        friendly_name: "SdB Elena Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.sdb_elena_jour')| float * 0.075)| float| round(2) }}"

- platform: history_stats
  name: Bureau Julie Jour
  entity_id: switch.radiateur_bureau_julie
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_bureau_julie_depuis_minuit:
        friendly_name: "Bureau Julie Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.bureau_julie_jour')| float * 0.225)| float| round(2) }}"


- platform: history_stats
  name: Chambre Louis Jour
  entity_id: switch.radiateur_chambre_louis
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_chambre_louis_depuis_minuit:
        friendly_name: "Chambre Louis Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.chambre_louis_jour')| float * 0.225)| float| round(2) }}"

- platform: history_stats
  name: Chambre Leonie Jour
  entity_id: switch.radiateur_chambre_leonie
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_chambre_leonie_depuis_minuit:
        friendly_name: "Chambre Leonie Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.chambre_leonie_jour')| float * 0.225)| float| round(2) }}"

- platform: history_stats
  name: Salle de Jeux Jour
  entity_id: switch.radiateur_salle_de_jeux
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_salle_de_jeux_depuis_minuit:
        friendly_name: "Salle de Jeux Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.salle_de_jeux_jour')| float * 0.225)| float| round(2) }}"

- platform: history_stats
  name: Salon Jour
  entity_id: switch.radiateur_salon
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_salon_depuis_minuit:
        friendly_name: "Salon"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.salon_jour')| float * 0.3)| float| round(2) }}"

- platform: history_stats
  name: Bureau Alban Jour
  entity_id: switch.radiateur_bureau_alban
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_bureau_alban_depuis_minuit:
        friendly_name: "Bureau Alban"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.bureau_alban_jour')| float * 0.3)| float| round(2) }}"

- platform: history_stats
  name: SdB Alban et Julie Jour
  entity_id: switch.radiateur_sdb_alban_et_julie
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_sdb_alban_et_julie_depuis_minuit:
        friendly_name: "SdB Alban et Julie Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.sdb_alban_et_julie_jour')| float * 0.075)| float| round(2) }}"

- platform: history_stats
  name: SdB LL Jour
  entity_id: switch.radiateur_sdb_ll
  state: 'on'
  type: time
  start: '{{ now().replace(hour=0).replace(minute=0).replace(second=0) }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_sdb_ll_depuis_minuit:
        friendly_name: "SdB ll Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.sdb_ll_jour')| float * 0.075)| float| round(2) }}"

# Calcul cout total Jour

- platform: template
  sensors:
    cout_radiateur_total_jour:
        friendly_name: "Cout Total Jour"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.cout_radiateur_sdb_ll_depuis_minuit')| float + states('sensor.cout_radiateur_sdb_alban_et_julie_depuis_minuit')| float + states('sensor.cout_radiateur_bureau_alban_depuis_minuit')| float +  states('sensor.cout_radiateur_salon_depuis_minuit')| float + states('sensor.cout_radiateur_salle_de_jeux_depuis_minuit')| float + states('sensor.cout_radiateur_chambre_leonie_depuis_minuit')| float + states('sensor.cout_radiateur_chambre_louis_depuis_minuit')| float + states('sensor.cout_radiateur_bureau_julie_depuis_minuit')| float + states('sensor.cout_radiateur_sdb_elena_depuis_minuit')| float)| float| round(2)  }}"


# calcul temps et cout pour la semaine courante (débute le Lundi à minuit)

- platform: history_stats
  name: SdB Elena Semaine
  entity_id: switch.radiateur_sdb_elena
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_sdb_elena_depuis_lundi_minuit:
        friendly_name: "SdB Elena Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.sdb_elena_semaine')| float * 0.075)| float| round(2) }}"


- platform: history_stats
  name: Bureau Julie Semaine
  entity_id: switch.radiateur_bureau_julie
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_bureau_julie_depuis_lundi_minuit:
        friendly_name: "Bureau Julie Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.bureau_julie_semaine')| float * 0.225)| float| round(2) }}"

- platform: history_stats
  name: Chambre Louis Semaine
  entity_id: switch.radiateur_chambre_louis
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_chambre_louis_depuis_lundi_minuit:
        friendly_name: "Chambre Louis Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.chambre_louis_semaine')| float * 0.225)| float| round(2) }}"

- platform: history_stats
  name: Chambre Leonie Semaine
  entity_id: switch.radiateur_chambre_leonie
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_chambre_leonie_depuis_lundi_minuit:
        friendly_name: "Chambre Leonie Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.chambre_leonie_semaine')| float * 0.225)| float| round(2) }}"

- platform: history_stats
  name: Salle de Jeux Semaine
  entity_id: switch.radiateur_salle_de_jeux
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_salle_de_jeux_depuis_lundi_minuit:
        friendly_name: "Salle de Jeux Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.salle_de_jeux_semaine')| float * 0.225)| float| round(2) }}"

- platform: history_stats
  name: Salon Semaine
  entity_id: switch.radiateur_salon
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_salon_depuis_lundi_minuit:
        friendly_name: "Salon Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.salon_semaine')| float * 0.3)| float| round(2) }}"

- platform: history_stats
  name: Bureau Alban Semaine
  entity_id: switch.radiateur_bureau_alban
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_bureau_alban_depuis_lundi_minuit:
        friendly_name: "Bureau Alban Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.bureau_alban_semaine')| float * 0.3)| float| round(2) }}"

- platform: history_stats
  name: SdB Alban et Julie Semaine
  entity_id: switch.radiateur_sdb_alban_et_julie
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_sdb_alban_et_julie_depuis_lundi_minuit:
        friendly_name: "SdB Alban et Julie Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.sdb_alban_et_julie_semaine')| float * 0.075)| float| round(2) }}"

- platform: history_stats
  name: SdB LL Semaine
  entity_id: switch.radiateur_sdb_ll
  state: 'on'
  type: time
  start: '{{ as_timestamp( now().replace(hour=0).replace(minute=0).replace(second=0) ) - now().weekday() * 86400 }}'
  end: '{{ now() }}'

- platform: template
  sensors:
    cout_radiateur_sdb_ll_depuis_lundi_minuit:
        friendly_name: "SdB LL Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.sdb_ll_semaine')| float * 0.075)| float| round(2) }}"
# Calcul cout total pour jour et semaine courants

- platform: template
  sensors:
    cout_radiateur_total_semaine:
        friendly_name: "Cout Total Semaine"
        unit_of_measurement: 'Euros'
        value_template: "{{ (states('sensor.cout_radiateur_sdb_ll_depuis_lundi_minuit')| float + states('sensor.cout_radiateur_sdb_alban_et_julie_depuis_lundi_minuit')| float  + states('sensor.cout_radiateur_bureau_alban_depuis_lundi_minuit')| float + states('sensor.cout_radiateur_salon_depuis_lundi_minuit')| float + states('sensor.cout_radiateur_salle_de_jeux_depuis_lundi_minuit')| float + states('sensor.cout_radiateur_chambre_leonie_depuis_lundi_minuit')| float + states('sensor.cout_radiateur_chambre_louis_depuis_lundi_minuit')| float + states('sensor.cout_radiateur_bureau_julie_depuis_lundi_minuit')| float + states('sensor.cout_radiateur_sdb_elena_depuis_lundi_minuit')| float)| float| round(1)  }}"